## org.apache.maven.shared.model.fileset.mappers
Class UnPackageNameMapper

    java.lang.Object
      org.apache.maven.shared.model.fileset.mappers.GlobPatternMapper
          org.apache.maven.shared.model.fileset.mappers.UnPackageNameMapper

All Implemented Interfaces:
  FileNameMapper

    public class UnPackageNameMapper

extends GlobPatternMapper

Maps dotted package name matches to a directory name. This is the inverse of the package mapper. This is useful for matching XML formatter results against their JUnit test cases.

     <mapper classname="org.apache.tools.ant.util.UnPackageNameMapper"
             from="${test.data.dir}/TEST-*Test.xml" to="*Test.java">

Version:
  $Id: UnPackageNameMapper.java 661727 2008-05-30 14:21:49Z bentmann $

Field Summary

Fields inherited from class org.apache.maven.shared.model.fileset.mappers.GlobPatternMapper
`fromPostfix, fromPrefix, postfixLength, prefixLength, toPostfix, toPrefix`

Constructor Summary
`UnPackageNameMapper()`

Method Summary
`protected java.lang.String` `extractVariablePart(java.lang.String name)` Returns the part of the given string that matches the * in the "from" pattern.

Methods inherited from class org.apache.maven.shared.model.fileset.mappers.GlobPatternMapper
`mapFileName, setCaseSensitive, setFrom, setHandleDirSep, setTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnPackageNameMapper

    public UnPackageNameMapper()

Method Detail

### extractVariablePart

    protected java.lang.String extractVariablePart(java.lang.String name)

  Returns the part of the given string that matches the * in the "from" pattern.

  Overrides:
    `extractVariablePart` in class `GlobPatternMapper`
  Parameters:
    `name` - the source file name
  Returns:
    the variable part of the name

Copyright © 2011. All Rights Reserved.